pip安装报错:error: Microsoft Visual C++ 14.0 is required 完美解决方案

pip安装报错:error: Microsoft Visual C++ 14.0 is required 完美解决方案

Scroll Down

在使用Python开发的过程中,经常需要安装各种模块,但是在安装过程中也经常会遇到各种报错,比如这次报错:error: Microsoft Visual C++ 14.0 is required,这个报错是由于缺少C++的编译组件的原因。

对于这个报错,目前的解决办法有两个

一个是直接下载对应的wheel文件进行安装,提供三个下载地址:

清华下载(国内站点,速度快):https://pypi.tuna.tsinghua.edu.cn/simple/pip/

官方下载:https://pypi.org/project/face-recognition/1.0.0/#files

python包大全:https://www.lfd.uci.edu/~gohlke/pythonlibs/

另一个解决办法就是把缺少的组件安装上。

对于第二种解决办法,我相信大部分人会跟我以前一样直接下载一个visual studio 201x然后安装,然而安装一个vs占的空间大不说关键有的安装完了发现还不能用,实在是气人。

经过百般搜索,后来发现可以直接安装官方提供的C运行库即可完美解决,甩个地址:Microsoft Visual C Build Tools 2015

下载完后双击运行使用默认设置安装即可。安装完成以后再去pip install xxx显示安装成功。